From: Alasdair G Kergon <agk@redhat.com>

Remove BIO_LIST and DEFINE_BIO_LIST macros that gain us nothing
since contents are initialised to NULL.

Cc: Jan Engelhardt <jengelh@linux01.gwdg.de>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-bio-list.h |    5 -----
 drivers/md/dm-delay.c    |    2 +-
 2 files changed, 1 insertion(+), 6 deletions(-)

Index: linux-2.6.23/drivers/md/dm-bio-list.h
===================================================================
--- linux-2.6.23.orig/drivers/md/dm-bio-list.h	2007-10-12 12:36:14.000000000 +0100
+++ linux-2.6.23/drivers/md/dm-bio-list.h	2007-10-12 13:18:13.000000000 +0100
@@ -21,11 +21,6 @@ static inline int bio_list_empty(const s
 	return bl->head == NULL;
 }
 
-#define BIO_LIST_INIT { .head = NULL, .tail = NULL }
-
-#define BIO_LIST(bl) \
-	struct bio_list bl = BIO_LIST_INIT
-
 static inline void bio_list_init(struct bio_list *bl)
 {
 	bl->head = bl->tail = NULL;
Index: linux-2.6.23/drivers/md/dm-delay.c
===================================================================
--- linux-2.6.23.orig/drivers/md/dm-delay.c	2007-10-12 13:15:34.000000000 +0100
+++ linux-2.6.23/drivers/md/dm-delay.c	2007-10-12 13:18:13.000000000 +0100
@@ -83,7 +83,7 @@ static struct bio *flush_delayed_bios(st
 	struct dm_delay_info *delayed, *next;
 	unsigned long next_expires = 0;
 	int start_timer = 0;
-	BIO_LIST(flush_bios);
+	struct bio_list flush_bios = { };
 
 	mutex_lock(&delayed_bios_lock);
 	list_for_each_entry_safe(delayed, next, &dc->delayed_bios, list) {
